CppUnit project page | FAQ

Functions
TestAssert.cpp File Reference
`#include <cppunit/TestAssert.h>`
`#include <cppunit/portability/FloatingPoint.h>`
Include dependency graph for TestAssert.cpp:

## Functions
CPPUNIT_NS_BEGIN void | assertDoubleEquals (double expected, double actual, double delta, SourceLine sourceLine, const std::string &message)
| (Implementation) Asserts that two double are equals given a tolerance. Use CPPUNIT_ASSERT_DOUBLES_EQUAL instead of this function. More...

## Function Documentation

## ◆ assertDoubleEquals()

CPPUNIT_NS_BEGIN void assertDoubleEquals | ( | double | expected,
|  | double | actual,
|  | double | delta,
|  | SourceLine | sourceLine,
|  | const std::string & | message
| ) |  |

(Implementation) Asserts that two double are equals given a tolerance. Use CPPUNIT_ASSERT_DOUBLES_EQUAL instead of this function.

See also
  Asserter::failNotEqual().
  CPPUNIT_ASSERT_DOUBLES_EQUAL for detailed semantic of the assertion.

| Send comments to: CppUnit Developers